### Method

# Gtk SymbolicPaintable snapshot_symbolic

since: 4.6

#### Declaration [src]

    void
    gtk_symbolic_paintable_snapshot_symbolic (
      GtkSymbolicPaintable* paintable,
      GdkSnapshot* snapshot,
      double width,
      double height,
      const GdkRGBA* colors,
      gsize n_colors
    )

#### Description [src]

Snapshots the paintable with the given colors.

If less than 4 colors are provided, GTK will pad the array with default colors.

Available since: 4.6

#### Parameters

`snapshot`

  Type: `GdkSnapshot`

  A `GdkSnapshot` to snapshot to.

  The data is owned by the caller of the method.

`width`

  Type: `double`

  Width to snapshot in.

`height`

  Type: `double`

  Height to snapshot in.

`colors`

  Type: An array of `GdkRGBA`

  A pointer to an array of colors.

  The length of the array is specified in the `n_colors` argument.
  The data is owned by the caller of the method.

`n_colors`

  Type: `gsize`

  The number of colors.